"{ Package: 'stx:goodies/monticello/tonel' }"!

!CharacterArray methodsFor:'Compatibility-Pharo'!

withInternalLineEndings
    ^ self withLineEndings: Character cr asString

    "Created: / 25-05-2020 / 14:29:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ConfigurableFeatures class methodsFor:'queries-features'!

hasTonel
    "Returns true, if Tonel support is loaded"

    ^(Smalltalk at: #TonelReader) notNil

    "
     ConfigurableFeatures hasTonel
     ConfigurableFeatures includesFeature:#Tonel
    "

    "Created: / 10-07-2020 / 10:17:18 / Jan Vrany <jan.vrany@labware.com>"
! !

!EncodedStream methodsFor:'stream protocol'!

<< aCollection
    self nextPutAll: aCollection.
    ^ self.

    "Created: / 01-02-2021 / 09:47:51 / Jan Vrany <jan.vrany@labware.com>"
! !

!MCClassTraitDefinition methodsFor:'*MonticelloTonel-Core'!

isTraitDefinition
    ^ true
! !

!MCDefinition methodsFor:'*MonticelloTonel-Core'!

isTraitDefinition
    ^ false
! !

!MCTraitDefinition methodsFor:'*MonticelloTonel-Core'!

isTraitDefinition
    ^ true
! !

!WriteStream methodsFor:'Compatibility-Pharo'!

<< aCollection
    self nextPutAll: aCollection.
    ^ self.

    "Created: / 03-07-2020 / 20:26:58 / Jan Vrany <jan.vrany@labware.com>"
! !

!stx_goodies_monticello_tonel class methodsFor:'documentation'!

extensionsVersion_HG

    ^ '$Changeset: <not expanded> $'
! !
